<%@ page contentType="text/html;charset=GBK"%>
<%@ page import="com.Quincy.common.*" %>
<%@ page import="com.Quincy.common.db.dbInquire" %>
<%@ page import="com.Quincy.common.pools.dbLogging" %>
<%@ page import="java.sql.*" %>
<HTML>
<HEAD>
<TITLE>广东医药价格信息网</TITLE>
<LINK href="CSS/main.css" rel=stylesheet type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
</HEAD>
<%!
   Global CHS=new Global();
   public String NewsSearch(int PageIndex,int pageSize) 
   {
   	 StringBuffer ret=new StringBuffer();	
   	 int sId=0;
     dbInquire db = new dbInquire();
     db.DBPreparing();
     int StartIndex=(PageIndex-1)*pageSize+1;   	 
     String SQLStr=CHS.intiQuerySQL("select title from test",StartIndex,pageSize);
     try 
     {
        ResultSet sqlRst = db.executeQuery(SQLStr);
  		ret.append("<table width=100% border=0  cellpadding=0 cellspacing=0 class=\"EE\" id=MsgTable>");
  		int id=StartIndex;
  		while(sqlRst.next())
        {
            ret.append("<tr>");
			ret.append("<td><div align=\"right\">"+String.valueOf(id)+".</div></td>");
            ret.append("<td><div align=\"center\">"+sqlRst.getString(1)+"</div></td>");
			ret.append("</tr>");
    		id++;
        }
        ret.append("</table>");
      	sqlRst.close();
      	db.DBDestroy();
      	return ret.toString();
     } 
     catch (SQLException ex) 
     {
	  	return new String("ERROR:NewsSearch");       	
     }
  }	
%> 
<BODY bgColor=#ffffff>
<CENTER>
  <table width="69%" border="0" cellspacing="0" cellpadding="0">
    <tr> 
      <td>
	  <%=NewsSearch(1,10)%>
	  </td>
    </tr>
  </table>
</CENTER></BODY></HTML>
